## com.trilead.ssh2.packets
Class PacketOpenDirectTCPIPChannel

    java.lang.Object
      com.trilead.ssh2.packets.PacketOpenDirectTCPIPChannel

    public class PacketOpenDirectTCPIPChannel

extends java.lang.Object

PacketOpenDirectTCPIPChannel.

Constructor Summary
`PacketOpenDirectTCPIPChannel(int channelID, int initialWindowSize, int maxPacketSize, java.lang.String host_to_connect, int port_to_connect, java.lang.String originator_IP_address, int originator_port)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketOpenDirectTCPIPChannel

    public PacketOpenDirectTCPIPChannel(int channelID,
                                        int initialWindowSize,
                                        int maxPacketSize,
                                        java.lang.String host_to_connect,
                                        int port_to_connect,
                                        java.lang.String originator_IP_address,
                                        int originator_port)

Method Detail

### getPayload

    public byte[] getPayload()